## osxvideosink osxvideosink — OSX native videosink |

## Synopsis

    struct              GstOSXVideoSink;

## Properties

      "embed"                    gboolean              : Read / Write
      "fullscreen"               gboolean              : Read / Write

## Description

## Synopsis

### Element Information

plugin | osxvideo
author | Zaheer Abbas Merali <zaheerabas at merali dot org>
class | Sink/Video

### Element Pads

## Details

### struct GstOSXVideoSink

    struct GstOSXVideoSink {
      /* Our element stuff */
      GstVideoSink videosink;
      GstOSXWindow *osxwindow;
      void *osxvideosinkobject;
      NSView *superview;
      gboolean keep_par;
      gboolean embed;
    };

## Property Details

### The `"embed"` property

      "embed"                    gboolean              : Read / Write

When enabled, it can be embedded.

Default value: FALSE

### The `"fullscreen"` property

      "fullscreen"               gboolean              : Read / Write

When enabled, the view is fullscreen.

Default value: FALSE